Page MenuHomePhabricator

Add Telugu Transliteration input method to Narayam
Closed, ResolvedPublic

Description

Telugu wiki maintains a local transliteration method, which according to Bug 33467, is not well maintained and got cross browser issues. If this transliteration based input method is developed in Narayam, Telugu wiki can consider enabling it in te.wiki projects.

The transliteration scheme is available as attachment in Bug 33467, but not usable as such since it is based on Alex benenson's Cyrillic transliteration tool


Version: unspecified
Severity: enhancement

Details

Reference
bz33480

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:06 AM
bzimport set Reference to bz33480.
santhosh created this task.Jan 3 2012, 7:02 AM

I'm almost done with Narayam rules for Telugu Transliteration. I'm testing it in my local wiki. I'll fix things then and probably attach the rules file here.

ext.narayam.rules.te.js

Here is is transliteration rules file for Telugu.

It is way better than what we currently have in Telugu Wikipedia. Some cases of back corrections need to be handled. But, those are not urgent and have workarounds. I've marked TODO in the file. I will do them in future seeing the response from people who use this.

Please make necessary changes in Narayam.php and Narayam.i18n.php.

Let me know if you need further info.

attachment ext.narayam.rules.te.js ignored as obsolete

Thanks Veeven, I will take care of adding it to Narayam.

Added this input method in r109920. Currently status is beta, once tested and confirmed by community we can move it out of beta. The input method will be available for testing at translatewiki.net within few minutes.

ext.narayam.rules.te.js

New script fixing (1) couple of mistakes (ఢ and ధ); (2) adding missed mapping for ఠ.

attachment ext.narayam.rules.te.js ignored as obsolete

(In reply to comment #5)

Created attachment 9987 [details]
ext.narayam.rules.te.js

New script fixing (1) couple of mistakes (ఢ and ధ); (2) adding missed mapping
for ఠ.

Could you please attach a diff from the existing version in svn? The new file you attached has many tabs in the place of white spaces and bit difficult for me to understand what changed. Thanks!

attachment ext.narayam.rules.te.js ignored as obsolete

ext.narayam.rules.te.js

Now without tabs.

attachment ext.narayam.rules.te.js ignored as obsolete

diff.txt

And, here is the diff.

Attached:

(In reply to comment #8)

And, here is the diff.

Thanks Veeven, the patch applied in r112082.
Can I move the te transliteration input method out of beta status?
Is there a consensus from community to enable Narayam extension in te wiki projects?

Santhosh, thanks!

I'll do a last call to the community to test this thoroughly and raise any concerns about replacing the existing one.

Probably, a week's time is needed.

veeven added a comment.Mar 1 2012, 4:06 AM

ext.narayam.rules.te.js

One more fix: handled ch to produce 'చ' instead of 'చ్హ'.

Attached:

veeven added a comment.Mar 1 2012, 4:08 AM

diff2.txt

Here is the diff of latest change.

Attached:

(In reply to comment #12)

Created attachment 10142 [details]
diff2.txt

Here is the diff of latest change.

Thanks for the patch, applied it on r112968

Attached:

(In reply to comment #11)

One more fix: handled ch to produce 'చ' instead of 'చ్హ'.

Curious to know, how the patch fix this? You added 'చ్h', '', 'చ్' to the rules.

-Santhosh

I(In reply to comment #14)

(In reply to comment #11)

One more fix: handled ch to produce 'చ' instead of 'చ్హ'.

Curious to know, how the patch fix this? You added 'చ్h', '', 'చ్' to the
rules.

It basically ignores the h. The first 'చ్' comes when use types 'c'. Next 'h' should not make it 'ఛ్' nor 'చ్హ్'.

Santhosh, we can push this live. I have not seen any issues afterwards.

Closing this. The deployment of the extension is scheduled for Thursday as indicated earlier. (http://lists.wikimedia.org/pipermail/mediawiki-i18n/2012-April/000461.html)